BizKitHub
DocsAPI ReferenceProduct/bff/product/product-category-set-main
getProductAdmin BFF

/bff/product/product-category-set-main

Sets or changes the main category for a product. The main category determines which custom field definitions apply and affects product feed categorization.

ProductgetBffProductProduct-category-set-main

Parameters

2 query

Query parameters

· 2
productCodestringRequired

Product code to set the main category for.

Examplemy-product
categoryCodestringRequired

Category code to set as main. Pass empty string to unset.

Exampleelectronics

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the main category was updated.

Response example

application/json
{
  "success": false
}

Request example

GET /bff/product/product-category-set-main

get
curl -X GET "https://api.bizkithub.com/bff/product/product-category-set-main?productCode=my-product&categoryCode=electronics" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key